﻿@{
    ViewBag.Title = "Usuarios Suscriptos al Newsletter";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Usuarios Suscriptos al Newsletter</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/NewsSuscribers/NewsSuscriberUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">AGREGAR SUSCRIPTOR</span>
            </button>
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/NewsSuscribers/ExportToExcel'">
                <i class="icon wb-download" aria-hidden="true"></i>
                <span class="hidden-xs">EXPORTAR A EXCEL</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            <table class="table table-hover dataTable table-striped width-full" id="dtSuscribers">
                <thead>
                    <tr>
                        <th>Nombre y Apellido</th>
                        <th>Email</th>
                        <th>Creado</th>
                        <th>Acciones</th>
                    </tr>
                </thead>
            </table>

        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        var datatable;
        $(document).ready(function () {
            datatable = $('#dtSuscribers').DataTable({
                ajax: {
                    url: "/NewsSuscribers/GetNewsSuscribers",
                    type: "GET"
                },
                columns: [
                    { "data": "FullName" },
                    { "data": "Email" },
                    { "data": "CreatedDateStr", "type": "date-arg", "className": "text-center" },
                    {
                        "className": "text-center",
                        "render": function (data, type, full, meta) {
                            var actions = "";

                            //Editar
                            actions += '<a href="/NewsSuscribers/NewsSuscribersUpdate/' + full.NewsSuscriberId + '" class="btn btn-sm btn-icon btn-pure btn-default on-default" data-toggle="tooltip" data-original-title="Editar" data-rowid="' + full.NewsSuscriberId + '"><i class="icon wb-edit aria-hidden="true"></i></a>';

                            //Eliminar
                            actions += '<a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default" data-toggle="tooltip" data-original-title="Eliminar" data-row-id="' + full.NewsSuscriberId + '" onclick="fDeleteDialog(' + full.NewsSuscriberId + ')"><i class="icon wb-trash aria-hidden="true"></i></a>';

                            return actions;
                        }
                    }
                ]
            });

            $("#dtCustomers").tooltip({
                selector: '[data-toggle="tooltip"]'
            });
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/NewsSuscribers/NewsSuscriberDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('[data-row-id="' + Id + '"]').closest('tr').remove();
                    swal("Eliminado!", "", "success");
                    datatable.ajax.reload(null, false);
                }
            });
        }

        function fDeleteDialog(newsSuscriberId)
        {
            var newsSuscriberId = newsSuscriberId;
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(newsSuscriberId);
                }
            });
        }

    </script>

}

